Ask Your Question
1

Installing pcl1.4 in ROS , please help

asked 2012-02-16 19:44:43 -0500

faizan gravatar image

Hii ,

By default the old version of pcl get installed which is 1.1. Standalone version of pcl1.4 works fine but when I try the unstable version I am getting an error this is what I have done to make pcl1.4 working in ros.

1) download perception_pcl_unstable to my ros_workspace folder.

2) then did rosmake, but I get an error about deserialization.

Can somebody please help me out.

Thank you.

edit retag flag offensive close merge delete

Comments

I have even done this : Download perception_pcl_unstable from SVN and overlay it to your electric installation by placing it first in your ROS_PACKAGE_PATH. export ROS_PACKAGE_PATH=~/perception_pcl_unstable:/opt/ros/electric/stacks:$ROS_PACKAGE_PATH

faizan gravatar image faizan  ( 2012-02-16 20:05:41 -0500 )edit

I have even done this : Download perception_pcl_unstable from SVN and overlay it to your electric installation by placing it first in your ROS_PACKAGE_PATH.

faizan gravatar image faizan  ( 2012-02-16 20:05:41 -0500 )edit

Can you post the exact error you're getting, and the svn path you're checking out?

Dan Lazewatsky gravatar image Dan Lazewatsky  ( 2012-02-17 05:00:51 -0500 )edit

@ Diaz, I am srry but I posted this question in pcl forum, and they are helping me with it. But to help others, I was getting an error regarding desearialize. Then the authors at pcl.org told me to change my svn_url to point it to new version of pcl. I did that thing by uncommenting it in makefile in pcl.

faizan gravatar image faizan  ( 2012-02-17 09:10:02 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2012-02-17 09:58:45 -0500

joq gravatar image

updated 2012-02-17 10:11:51 -0500

After discussion on pcl-users@pointclouds.org, it became clear that @faizan was installing the standalone PCL 1.4 library and not the unstable version of the perception_pcl ROS stack.

It remains to be seen exactly what svn URL is needed to answer this question fully.

EDIT:

Another option is installing the ALPHA version of the ROS Fuerte distribution, which includes PCL 1.4.

Beware: Fuerte is still very much a work in progress.

edit flag offensive delete link more

Comments

Now that PCL 1.5.1 is out and they are shooting for 1.6 by end of March, why can't we setup PCL as an external library like we did with opencv? Then this would question could extend to flann, cminpack, etc

Kevin gravatar image Kevin  ( 2012-02-26 03:02:35 -0500 )edit

Setting up PCL as an external library is in progress for fuerte.

tfoote gravatar image tfoote  ( 2012-03-05 10:37:57 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-02-16 19:44:43 -0500

Seen: 272 times

Last updated: Feb 17 '12